sc::BeckeIntegrationWeight Class Reference

Implements Becke's integration weight scheme. More...

`#include <integrator.h>`

Inheritance diagram for sc::BeckeIntegrationWeight:
[legend]
Collaboration diagram for sc::BeckeIntegrationWeight:
[legend]

## Public Member Functions

| BeckeIntegrationWeight (const Ref< KeyVal > &)
| BeckeIntegrationWeight (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
void | init (const Ref< Molecule > &, double tolerance)
| Initialize the integration weight object.
void | done ()
| Called when finished with the integration weight object.
double | w (int center, SCVector3 &point, double *grad_w=0)
| Computes the weight for a given center at a given point in space. More...
Public Member Functions inherited from sc::IntegrationWeight
| IntegrationWeight (const Ref< KeyVal > &)
| IntegrationWeight (StateIn &)
void | test (int icenter, SCVector3 &point)
void | test ()
Public Member Functions inherited from sc::SavableState
SavableState & | operator= (const SavableState &)
void | save_state (StateOut &)
| Save the state of the object as specified by the StateOut object. More...
void | save_object_state (StateOut &)
| This can be used for saving state when the exact type of the object is known for both the save and the restore. More...
virtual void | save_vbase_state (StateOut &)
| Save the virtual bases for the object. More...
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members

Static Public Member Functions inherited from sc::SavableState
static void | save_state (SavableState *s, StateOut &)
static SavableState * | restore_state (StateIn &si)
| Restores objects saved with save_state. More...
static SavableState * | key_restore_state (StateIn &si, const char *keyword)
| Like restore_state, but keyword is used to override values while restoring. More...
static SavableState * | dir_restore_state (StateIn &si, const char *objectname, const char *keyword=0)
Protected Member Functions inherited from sc::IntegrationWeight
void | fd_w (int icenter, SCVector3 &point, double *fd_grad_w)
Protected Attributes inherited from sc::IntegrationWeight
Ref< Molecule > | mol_
double | tol_

## Detailed Description

Implements Becke's integration weight scheme.

## Member Function Documentation

void sc::BeckeIntegrationWeight::save_data_state | ( | StateOut & |  | ) |

virtual

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::IntegrationWeight.

double sc::BeckeIntegrationWeight::w | ( | int | center,
|  | SCVector3 & | point,
|  | double * | grad_w = `0`
| ) |  |

virtual

Computes the weight for a given center at a given point in space.

Derivatives of the weigth with respect to nuclear coordinates are optionally returned in grad_w. This must be called after init, but before done. It must also be thread-safe.

Implements sc::IntegrationWeight.

The documentation for this class was generated from the following file:

- integrator.h